#ifndef __USE_VideoView2_C_H__
#define __USE_VideoView2_C_H__

#include "videoview.h"
#include <QtWidgets/QWidget>

class CVideoView2
	: public QWidget, public IVideoView
{
public:
	Q_OBJECT
public:
	CVideoView2(QWidget* parent);
	virtual ~CVideoView2();
public:
	AVDHandle getRender() { return m_videoRenderer; }
	bool setScalingType(AVDScalingType type);
	void updateViewSize(int width, int height);
public:
	void paintEvent(QPaintEvent *event);
	void resizeEvent(QResizeEvent* event);
protected:
	AVDHandle m_videoRenderer;
	void* m_window;
};

#endif //__USE_VideoView2_C_H__
